Kerbal Space Program - Bug #5976

Mac OS X Textures bug
11/20/2015 05:57 AM - evansche

Status: Needs Clarification Start date: 11/20/2015
Severity: Low % Done: 0%
Assignee:

Category: Camera

Target version:

Version: 1.0.5 Language: English (US)
Platform: 0OSX Mod Related: No
Expansion:

Description

KSP on Mac:

v1.0.5

Plain stock game. No mods.

Late-2013 27allll iMac
NVIDIA GeForce GTX 780M 4096 MB

0S: 0S X 10.9.5 (13F1134)

Long-standing issue since v1.0 or maybe even v.9x

Game loads fine, but upon first instance of switching from gameplay back to KSC, or an assembly-building view it is obvious that

some graphics textures are out of place.

Sometimes the game is stall playable (able to enter into gameplay mode again, with ongoing texture issues, and sometimes the

game hangs on next attempt to enter gameplay once again.

Example screen-shot of strange texture behavior that is still allowing functional gameplay, attached.

History

#1 - 11/20/2015 09:17 AM - sal_vager

- Status changed from New to Need More Info

Hi evansche, can you provide more info please, such as your settings.cfg and Player.log (or KSP.log if you can't locate the player.log)

More info here http://bugs.kerbalspaceprogram.com/projects/ksp/wiki

Also please experiment with your graphics settings to determine if this only occurs at certain resolutions and screen modes.

#2 - 11/20/2015 08:33 PM - evansche
- File KSP.log added
- File settings.cfg added

More info:

KSP build 1028

Logs attached.

| almost always try to play:
full-screen, @ 2560x1440
Terrain Detail: High

SMB3 Terrain Shaders: Yes
Terrain Scatters: Yes

Scatter density: 100%
Fantastic Render Quality Level
Texture Quality: Full Res
Fallback Shaders: No
Edge Highlighting: No
Surface FX: Yes
Underwater FX: Yes

AA: None

Pixel Light Count: 8
Shadow Cas: 4

Can always reproduce within 20-30 mins of gametime at these settings.

I will try to reproduce with different settings, but the ones here are my preference.

#3 - 11/21/2015 01:42 AM - evansche
- File KSP.log added

Replicated with graphics set to 1280x720 and 4xAA. Hard freeze when transitioning back to SPH from a flight crash in gameplay/flight mode.

#4 - 11/21/2015 01:51 AM - evansche
- File KSP.log added

And ... a relatively quick mid-fligth game-freeze once | tried these graphics resolution settings:
SCREEN_RESOLUTION_WIDTH = 1344

SCREEN_RESOLUTION_HEIGHT = 756

ANTI_ALIASING = 2

(no other changes)

#5 - 11/21/2015 02:06 AM - evansche

- File KSP.log added

- File Screen Shot 2015-11-20 at 6.03.10 PM.png added
- File Screen Shot 2015-11-20 at 5.57.30 PM.png added

And one more: issue replicated with these settings too:
SCREEN_RESOLUTION_WIDTH = 1600
SCREEN_RESOLUTION_HEIGHT = 900
FULLSCREEN = True

ANTI_ALIASING = 2

Not a hard freeze this time, but graphics issues popped up quickly. In flight mode these graphics troubles seem related to the sun and
shadow-casting: when | speed up time they move accordingly. But the graphics issues persist into SPH view too.

#6 - 11/21/2015 02:12 AM - evansche

And finally, we just replicated the issue quickly in windowed mode (same textures problem).
SCREEN_RESOLUTION_WIDTH = 1600

SCREEN_RESOLUTION_HEIGHT = 900

FULLSCREEN = False

ANTI_ALIASING = 2

#7 - 11/21/2015 02:49 PM - sal_vager

Thanks, though | can't replicate it here as | don't have a Mac, it's likely related to the other Mac graphics issues that have been reported recently,
some players have had multicolor effects in the VAB/SPH while others have completely broken terrain shading.

Most of those reports have stated they use Intel gfx hardware though.

Also your log from the freeze just stops, KSP didn't have a chance to write to the KSP.log but may have written to the player.log, if it freezes again the
player.log would be more useful.

Something | do see however is a very old graphics driver (2013).

SM: 30 (OpenGL 2.1 [2.1 NVIDIA-8.26.29 310.40.55f01])

This is all | could find on this driver, it's not available separately for OSX, https:/www.nvidia.com/object/freebsd-x64-310.40-driver

You say you're on Mavericks, would you be able to update and see if that fixes this ?

04/20/2024 2/5


https://www.nvidia.com/object/freebsd-x64-310.40-driver

#8 - 11/21/2015 05:32 PM - evansche

I may just have to upgrade to the latest OSX in order for KSP to work smoothly...

#9 - 11/25/2015 12:28 AM - evansche

- File Screen Shot 2015-11-24 at 2.28.59 PM.png added
- File KSP.log added

- File settings.cfg added

Issue persists into El Capitan, OSX v10.11.1. See attached for context and screen-shot example.
SCREEN_RESOLUTION_WIDTH = 2560

SCREEN_RESOLUTION_HEIGHT = 1440

FULLSCREEN = True

QUALITY_PRESET =5

ANTI_ALIASING = 1

TEXTURE_QUALITY =0

and aside, | cannot locate any file "player.log" on this iMac. There's no ~Library/Logs/Unity/player.log...

#10 - 11/25/2015 01:12 AM - evansche
Crash report from recent hard crash when switching from flight/gameplay to SPH ATTACHED

#11 - 11/25/2015 01:30 AM - evansche
- File KSP.log added

...AAAAAND another hang. Spinning pizza-wheel of death, frozen screen, and jet-engine sound stuck on loop in the background. This was with a Gull
derivative plane in mid-flight. See latest ksp.log

#12 - 11/25/2015 09:41 PM - sal_vager

| can't read OSX logs, it might as well be Swahili and if there's something in there explaining this I'll not be able to find it.

| see the update to el capitan did update the gfx driver, to the slightly less ancient 310.42, the latest unix (not OSX unfortunately) driver is 352.63, |
have no idea why Apple use such old drivers :/

https://www.nvidia.com/download/driverResults.aspx/95163/en-us

Your last KSP.log where it hung also just stops with no errors, you really need to post the Player.log next time, as that log will often contain more
detail including the stack trace.

The log before (the one you posted with the OSX log) does show a null reference exception however.

[EXC 14:29:07.007] NullReferenceException
UnityEngine.Component.get_transform ()

SpriteRoot.set_ClippingRect (Rect3D value)
AutoSpriteControlBase.set_ClippingRect (Rect3D value)
UlListltemContainer.set_ClippingRect (Rect3D value)

UlScrollList.Clipltems ()

UlScrollList.ScrollListTo_Internal (Single pos)
UlScrollList.UpdateContentExtents (Single change)
UlScrollList.Positionltems ()

UlScrollList.Removeltem (Int32 index, Boolean destroy, Boolean doEasing)
UlIScrollList.Removeltem (IUIListObject item, Boolean destroy, Boolean doEasing)
UlScrollList.Removeltem (lUIListObject item, Boolean destroy)
ApplicationLauncher.RemoveApplication (.ApplicationLauncherButton button)
UlApp.OnDestroy ()

This isn't in the other logs, ApplicationLauncher is the notification area in the top right of the flight scene, but the rest appear to be built-in Unity
classes and functions.

Have you tested a completely fresh install yet ?

#13 - 11/25/2015 10:42 PM - evansche
- File Player.log added

Player.log attached. Sorry for not understanding earlier how to retrieve this file. It didn't show up with a Spotlight search.
#14 - 11/25/2015 11:31 PM - sal_vager

If I may ask, what is the method you used to find the file? It'd be useful to know an easy way that | can share with others.
Also, the player.log has some new info.
KSP malloc: *** mach_vm_map(size=4198400) failed (error code=3)

e error: can't allocate region
¢ set a breakpoint in malloc_error_break to debug
KSP malloc: *** mach_vm_map(size=2101248) failed (error code=3)
e error: can't allocate region
¢ set a breakpoint in malloc_error_break to debug
Receiving unhandled NULL exception
Obtained 12 stack frames.

malloc is short for "memory allocate" and is a C/C++ function ( https://en.wikipedia.org/wiki/C_dynamic_memory_allocation ) which the engine uses to
dynamically manage memory.

This isn't limited to KSP, it can be an issue in any software written in C/C++ that is trying to use more memory than is available, such as the Unity
engine which is written in C++.

A search shows the same error in a variety of other software (
https://duckduckgo.com/?g=malloc%3A+***+mach_vm_map-+failed+%28error+code%3D3%29&t=canonical ).

This doesn't look to be the cause of the graphical issue, as this just results in a crash or freeze, the only things | can suggest are to reduce your
texture quality so less memory is demanded by KSP, or try to free up RAM on your system.

OSX can be very memory hungry and likes to keep apps in RAM in case the user goes back to them, so it may be an idea to monitor the memory
used by the system as a whole while playing KSP.

#15 - 11/26/2015 03:54 AM - evansche
Player.log: | followed the instructions mentioned on http://bugs.kerbalspaceprogram.com/projects/ksp/wiki :

Mac OSX: Open Console, on the left side of the window there is a menu that says 'files'. Scroll down the list and find the Unity drop down, under Unity
there will be Player.log Aka Files>~/Library/Logs>Unity>Player.log

This worked, and | could easily navigate to the Player.log file. | was surprised to find that my user's ~/Library directory was hidden, making it and its
contents invisible to Mac OS X Spotlight search.

As for malloc and RAM starvation, this Mac has 16GB and | never get close to running out of real memory. Nonetheless, I'll try running KSP with
reduced texture quality (grumble) to see if the game plays more reliably.

#16 - 11/26/2015 04:03 AM - evansche
- File Player.log added

- File KSP.log added

- File settings.cfg added

And another quick crash (upon switching from KSP view to SPH view). This was with textures at half-res. Logs attached.

#17 - 11/26/2015 06:50 PM - jonnyp

- Severity changed from Normal to Low

Evansche, Have you got PPFX enabled in your graphics settings? If so could you try turning that off and seeing if you still have problems?

#18 - 11/26/2015 09:35 PM - evansche
- File Screen Shot 2015-11-26 at 1.33.34 PM.png added

Sorry jonnyp, I'm afraid the game (totally stock 1.0.5 build 1028) says | don't have the necessary hardware support for PPFX. See screen-shot of
setting screen, attached.

#19 - 12/02/2015 04:32 AM - evansche
Hi all,

| see this bug's status is set to Needs More Info. Is there anything else | can do to help clarify and confirm this trouble?
#20 - 12/02/2015 11:25 AM - sal_vager

Well, if you can figure out what conditions cause this that'd be great, it doesn't look to be affecting many players but all these graphical issues have

been on OSX so far.

Right now | don't know if this is KSP, Unity, OSX, old drivers, a faulty gfx card or anything else, and it may be resolved in 1.1 due to the terrain shader

rewrite, see the devnotes for details.

http://forum.kerbalspaceprogram.com/index.php?/topic/126828-devnote-tuesday-forums-letters-and-development/

#21 - 07/17/2016 09:41 AM - TriggerAu

- Status changed from Need More Info to Needs Clarification

Files

ksp-105-macosx-graphics.png 3.33 MB 11/20/2015 evansche
KSP.log 192 KB 11/20/2015 evansche
settings.cfg 23.3 KB 11/20/2015 evansche
KSP.log 195 KB 11/21/2015 evansche
KSP.log 174 KB 11/21/2015 evansche
KSP.log 239 KB 11/21/2015 evansche
Screen Shot 2015-11-20 at 5.57.30 PM.png 2.66 MB 11/21/2015 evansche
Screen Shot 2015-11-20 at 6.03.10 PM.png 3.2 MB 11/21/2015 evansche
Screen Shot 2015-11-24 at 2.28.59 PM.png 4.91 MB 11/25/2015 evansche
settings.cfg 23.3 KB 11/25/2015 evansche
KSP.log 187 KB 11/25/2015 evansche
KSP.log 183 KB 11/25/2015 evansche
Player.log 477 KB 11/25/2015 evansche
Player.log 461 KB 11/26/2015 evansche
KSP.log 173 KB 11/26/2015 evansche
settings.cfg 23.8 KB 11/26/2015 evansche
Screen Shot 2015-11-26 at 1.33.34 PM.png 97.1 KB 11/26/2015 evansche
